Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#36816 - [qwtplot3d] doesn't require qwt, cannot build from abs

Attached to Project: Arch Linux
Opened by Ray Smith (muon_) - Saturday, 07 September 2013, 01:43 GMT
Last edited by Antonio Rojas (arojas) - Monday, 03 April 2017, 13:17 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Ronald van Haren (pressh)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Description:
(1) qwtplot3d doesn't require qwt
(2) the PKGBUILD doesn't work (error message: "/etc/profile.d/qt4.sh: No such file or directory") (using the Arch Build System). In order to get it to build, I applied the attached patch, which (a) removes the dependency, (b) removes a call to /etc/profile.d/qt4.sh (which isn't listed as a file in the qt4 package), and (c) renames qmake to qmake-qt4.

With the patch applied, I've built qwtplot3d, installed it, and used it in another program, so it seems to work fine without qwt.

Additional info:
* package version(s): qwtplot3d-0.2.7-6, qt4-4.8.5-2
* config and/or log files etc.


Steps to reproduce:
# abs
$ cd ~
$ mkdir qwtplot3d_build
$ cp /var/abs/extra/qwtplot3d/* ~/qwtplot3d_build
$ cd qwtplot3d_build
$ (optional) sed -i "s| 'qwt'||" PKGBUILD
$ makepkg
This task depends upon

Closed by  Antonio Rojas (arojas)
Monday, 03 April 2017, 13:17 GMT
Reason for closing:  Fixed
Comment by Ray Smith (muon_) - Sunday, 31 August 2014, 20:30 GMT
I'm just wondering what the status of this is. The build has been fixed (at least) as of qwtplot3d-0.2.7-7, but I still don't think qwtplot3d actually depends on qwt. Can this dependency be removed?
Comment by Michel (xantares) - Monday, 03 April 2017, 13:10 GMT
this can be closed, qwt is not listed as dependency

Loading...